[zorg] r222883 - Make check-llvm failure in the msan bootstrap build non-fatal.

Evgeniy Stepanov eugeni.stepanov at gmail.com
Thu Nov 27 05:11:38 PST 2014


Author: eugenis
Date: Thu Nov 27 07:11:38 2014
New Revision: 222883

URL: http://llvm.org/viewvc/llvm-project?rev=222883&view=rev
Log:
Make check-llvm failure in the msan bootstrap build non-fatal.

There are known failures that can't be fixed right away (and they have nothing to do with MSan):
http://lab.llvm.org:8011/builders/sanitizer-x86_64-linux-bootstrap/builds/5198/steps/check-llvm%20msan/logs/stdio

Modified:
    zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_bootstrap.sh

Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_bootstrap.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_bootstrap.sh?rev=222883&r1=222882&r2=222883&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_bootstrap.sh (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_bootstrap.sh Thu Nov 27 07:11:38 2014
@@ -102,7 +102,7 @@ MSAN_CFLAGS="-I${ROOT}/libcxx_build_msan
 
 echo @@@BUILD_STEP check-llvm msan@@@
 
-(cd llvm_build_msan && ninja check-llvm) || echo @@@STEP_FAILURE@@@
+(cd llvm_build_msan && ninja check-llvm) || echo @@@STEP_WARNINGS@@@
 
 echo @@@BUILD_STEP check-clang msan@@@
 





More information about the llvm-commits mailing list